Ventrilo Tech Support

Ventrilo Tech Support (http://forum.ventrilo.com/index.php)
-   Macintosh Client (http://forum.ventrilo.com/forumdisplay.php?f=6)
-   -   G19 Support on Mountain Lion (http://forum.ventrilo.com/showthread.php?t=461371)

Broderik 03-29-2013 09:24 PM

G19 Support on Mountain Lion
 
Hi,

The option to support the G19 LCD does not seem to work. I'm running OS X Mountain Lion version 10.8.3. I have also downloaded the latest G19 drivers from Logitech's website version 8.45.147.

I also have a Windows install on the same computer via BootCamp, and it works perfectly fine there, so I know it's not any hardware that is faulty.

I have tried uninstalling Ventrilo and the G19 software and re-installing and neither has fixed it. Is it a known bug, or is there something else I can do?

Thanks!

Prog-Rocker 03-30-2013 09:32 AM

I will setup this configuration and test it out. will let you know

Broderik 03-31-2013 11:53 AM

Great! If there's anything else you need me to do please let me know.

Prog-Rocker 04-01-2013 01:06 PM

good news, at least for me :D

the lcd display works as intended (lol). it shows all updates for ping, connections, channel names, and incoming events

i downloaded the latest driver. lcd manager 3.06.128

osx 10.8.3
vent 3.0.13

in g19 lcd manager:
devices - set the switching to manual
programs - enabled 'running on g19' in clock, media display, perf monitor, and vent

in vent setup/global tab, enabled gamepanel support

Broderik 04-02-2013 12:48 AM

I might know what the issue is. I downloaded the one specific for 10.6-10.8 (as located here: http://www.logitech.com/en-us/support/g19-keyboard-for-gaming?section=downloads&crid=404 )

I will attempt to uninstall the version I have now and install the regular "Mac OS X" version and report back.

Broderik 04-02-2013 01:01 AM

Yeah, that was it. It doesn't work on the version specific to 10.6-10.8. Got the older one installed and it works fine on that :)

Broderik 04-06-2013 12:14 AM

After spending a few days with it.. here's an update:

As indicated in prior posts, it works, but I have noticed a few quirks/bugs. It may not be Vent's issue specifically (as I am running a version of the G19 software that's not designed for 10.8) but I thought I'd let you guys know, assuming this is the appropriate venue.

If you're eventually able to get the applet to work with the latest version of the G19 software for 10.6.8-10.8.x (which is v8.45.147) that would be great!


All times are GMT -5. The time now is 07:53 PM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2017, vBulletin Solutions, Inc.